./install_base: line 6639: /tmp/pre_install/getvar.sh: Permission denied ./install_base: line 5246: [: =: unary operator expected This platform is not supported.

Document ID : KB000044422
Last Modified Date : 14/02/2018
Show Technical Document Details

Symptom:

When installing PIM agent the following error occurs:

./install_base: line 6639: /tmp/pre_install/getvar.sh: Permission denied
./install_base: line 5246: [: =: unary operator expected
This platform is not supported.

 

Cause:

This is caused by /tmp being mounted with noexec which stops anything being executed under /tmp. The installation requires that scripts are executed here.

 

Resolution:

Remount /tmp as exec for the install:

mount -o remount,exec /tmp

After install this can be reverted:

mount -o remount,noexec /tmp